
.navbar.bg-primary {
  background-image: none;
}

.navbar.bg-light {
  background-image: none;
}

.navbar-dark,
.navbar[data-bs-theme=dark] {
  --bs-navbar-color: rgba(255, 255, 255, 0.75);
  --bs-navbar-hover-color: rgba(255, 255, 255, 0.95);
}

.btn-primary {
  background-image: none;
}

.btn-primary:not(.disabled):hover {
  background-image: none;
}

.table {
  --bs-table-color: var(--bs-body-color);
  --bs-table-striped-color: var(--bs-body-color);
  --bs-table-hover-color: var(--bs-body-color);
}

.content {
  margin-top: 1rem;
}

.content .navbar {
  min-height: 4rem;
}

.content .user-dropdown {
  margin-left: 0 !important;
}

.content footer {
  line-height: 1;
}

.content #btnTop {
  display: none;
  position: fixed;
  bottom: 2em;
  right: 4em;
  z-index: 9999;
}

.nav-link.disabled {
  color: rgba(255,255,255,.8) !important;
}

@media (min-width: 768px) {
  
  .content .navbar {
    min-height:    4rem;
  }
  
}

@media (max-width: 991.98px) {
  
  .nav-link.disabled {
    display: none;
  }
  
}

i.bi {
  -webkit-text-stroke: .3px;
}

[data-bs-toggle="collapse"] i.caret-toggle::before {
  transform: rotate(90deg) !important;
}   
  
[data-bs-toggle="collapse"].collapsed i.caret-toggle::before {
  transform: rotate(0deg) !important;
}

.tooltip {
  pointer-events: none;
}

.tooltip-inner {
  max-width: 100% !important;
}

.alert {
  display: inline-block;
}

textarea {
  resize: none;
}

textarea-scroll {
  overflow-y: scroll;
  resize: none;
}

.datepicker {
  font-size: 1rem;
  padding: 10px !important;
}

.datepicker table tr td.highlighted-dates {
  background-color: #99ccff;
  border-radius: 0;
}

button.form-select {
  background: none !important;
  padding-right: .50rem !important;
  background-color: #ffffff !important;
}

.bs-searchbox .form-control {
  font-size: .875rem;
  height: 2rem;
}

.bootstrap-select .dropdown-menu a.dropdown-item {
  font-size: .875rem;
  padding: 0rem 1.5rem;
}

.none-available {
  font-size: 1rem; 
  display: none;
  display: inline-block;
}

.dropdown-header {
  font-size: 1.2rem;
  padding: .1rem 1.5rem;
}

.dropdown-item {
  font-size: 14px;
}

.base-table {
  font-size: .875rem;
  margin-bottom: 0px;
}

.base-table thead,
.base-table tbody,
.base-table thead th,
.base-table tbody td,
.base-table tbody tr {
  border: none;
}

.base-table th, 
.base-table td {
  padding: .10rem;
  padding-left: .5rem;
}

.base-table th:last-child, 
.base-table td:last-child {
  padding-right: .5rem;
}

.base-table th {
  border: none;
  text-decoration: underline;
}

.base-table tbody tr.hoverable:hover {
  cursor: pointer;
}

.base-table td.hidden {
  display: none;
}

.fixed-table {
  table-layout: fixed;
  width: 100%;
}

.fixed-table td {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: 100%;
  max-width: 100%;
}

table.table-auto {
  width: auto !important;
  table-layout: auto !important;
}

table.table-auto thead th, table.table-auto tfoot th {
  width: auto !important;
}

table.table-auto thead th:not(:last-of-type), table.table-auto tfoot th:not(:last-of-type) {
  padding-right: 1.5rem !important;
}

table.table-auto tbody td, table.table-auto tfoot td {
  width: auto !important;
}

table.table-auto tbody td:not(:last-of-type), table.table-auto tfoot td:not(:last-of-type) {
  padding-right: 1.5rem !important;
}

.fs-100 {
  font-size: 1rem !important;
}

.fs-875 {
  font-size: .875rem;
}

.fs-750 {
  font-size: .750rem;
}

.pre-wrap {
  white-space: pre-wrap;
}

.scrollable {
  max-height: 50vh;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.scrollable-30 {
  max-height: 30vh;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.scrollable-40 {
  max-height: 40vh;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.scrollable-70 {
  max-height: 70vh;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.modal-title {
  width: 90%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 90%;
}

.custom-popover {
  --bs-popover-max-width: 400px;
  --bs-popover-border-color: var(--bs-danger);
  --bs-popover-header-bg: var(--bs-danger);
  --bs-popover-header-color: var(--bs-white);
  --bs-popover-body-padding-x: 1rem;
  --bs-popover-body-padding-y: 1rem;
  line-height: 1.3;
  font-size: 1rem;
}

.custom-tooltip {
  --bs-tooltip-color: var(--bs-white);
  --bs-tooltip-bg: var(--bs-red);
  font-size: 1rem;
}

.custom-popover p:last-of-type {
  margin-bottom: 0;
}

.custom-tooltip p:last-of-type {
  margin-bottom: 0;
}

.nav-tabs .nav-link {
  padding: .35rem .5rem;
  font-size: .875rem;
}

.form-control-xs {
  min-height: 1em;
  padding: 0.10rem 0.5rem;
  font-size: 0.875rem;
  border-radius: 0.25rem;
}

.card-header-button {
  padding:      .25rem;
  border:       2px solid white;
  color:        white;
  margin-right: 5px;
  margin-top:   1px;
}

.setupWorkOrders th.sortable:hover {
  cursor: pointer;
}
